import util
import gui_handler

def not_implemented():
    util.warn("Not implemented!")

def about_concorde():
    dialog = gui_handler.Message("About Concorde",
    """
    Version: 0.0.1

    Made by BodgeMaster and Shwoomple
    """)
    

# format:
#   "":{} -> menu or submenu
#   "":function -> menu entry
#   "":None -> disabled menu entry
#   int:None -> separator
#
# Entries with ... at the end are supposed to open dialogs whereas entries without dots are supposed to take effect immediately
menu_structure = {
    "IDE": {
        "Preferences...": not_implemented,
        0: None,
        "Quit": not_implemented
    },
    "Project": {
        "New": {
            "No known project types": None
        },
        "Open...": not_implemented,
        "Close": {
            "No open projects": None
        },
        0: None,
        "Preferences...": not_implemented,
        "Search...": not_implemented,
        "Build": not_implemented
    },
    "File": {
        "New...": not_implemented,
        "Open...": not_implemented,
        "Save": not_implemented,
        "Close": not_implemented,
        0: None,
        "Rename...": not_implemented,
        "Move...": not_implemented,
        "View in File Explorer...": not_implemented
    },
    "Edit": {
        "Cut": not_implemented,
        "Copy": not_implemented,
        "Paste": not_implemented,
        "Move code...": not_implemented,
        0: None,
        "Search and Replace...": not_implemented,
        1: None,
        "Format": not_implemented,
        "Indent": not_implemented,
        "Unindent": not_implemented,
        "Toggle Comment": not_implemented
    },
    "View": {
        "Zoom in": not_implemented,
        "Zoom out": not_implemented,
        "Normal Size": not_implemented
    },
    "Help": {
        "Manual...": not_implemented,
        "About IDE...": about_concorde,
    }
}
